Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.transform.sax
Class SAXTransformerFactory

    java.lang.Object
      |
      +--javax.xml.transform.TransformerFactory
            |
            +--javax.xml.transform.sax.SAXTransformerFactory

All Implemented Interfaces:
  Source

Direct Known Subclasses:
  AbstractStylesheetFactory

public abstract class SAXTransformerFactory
extends TransformerFactory
implements Source

Implementation to create transformers from a SAX source.

Field Summary
`static java.lang.String` | `FEATURE` The feature name to tell if the transformer can load from a SAX parser.
`static java.lang.String` | `FEATURE_XMLFILTER` Used to tell if the `newXMLFilter` methods are supported.

Constructor Summary
`protected` | `SAXTransformerFactory()` Default constructor is protected.

Method Summary
`abstract TemplatesHandler` | `newTemplatesHandler()` Returns a template handler that can be used to process SAX events.
`abstract TransformerHandler` | `newTransformerHandler()` Returns a transformer handler that can be used to process SAX events.
`abstract TransformerHandler` | `newTransformerHandler(Source source)` Returns a transformer handler that can be used to process SAX events.
`abstract TransformerHandler` | `newTransformerHandler(Templates templates)` Returns a transformer handler that can be used to process SAX events, given a Templates object.
`abstract org.xml.sax.XMLFilter` | `newXMLFilter(Source source)` Returns an XML filter from the transformer.
`abstract org.xml.sax.XMLFilter` | `newXMLFilter(Templates templates)` Returns an XML filter from the transformer based on a compiled stylesheet.

Methods inherited from class javax.xml.transform.TransformerFactory
`getAssociatedStylesheet, getAttribute, getErrorListener, getFeature, getURIResolver, newInstance, newTemplates, newTransformer, newTransformer, setAttribute, setErrorListener, setURIResolver`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.xml.transform.Source
`getSystemId, setSystemId`

Field Detail

### FEATURE

    public static final java.lang.String FEATURE

  The feature name to tell if the transformer can load from a SAX parser.

### FEATURE_XMLFILTER

    public static final java.lang.String FEATURE_XMLFILTER

  Used to tell if the `newXMLFilter` methods are supported.

Constructor Detail

### SAXTransformerFactory

    protected SAXTransformerFactory()

  Default constructor is protected.

Method Detail

### newTemplatesHandler

    public abstract TemplatesHandler newTemplatesHandler()
                                                  throws TransformerConfigurationException

  Returns a template handler that can be used to process SAX events.

### newTransformerHandler

    public abstract TransformerHandler newTransformerHandler()
                                                      throws TransformerConfigurationException

  Returns a transformer handler that can be used to process SAX events. The transformer is an identity transformation.

### newTransformerHandler

    public abstract TransformerHandler newTransformerHandler(Source source)
                                                      throws TransformerConfigurationException

  Returns a transformer handler that can be used to process SAX events. The transformer is an identity transformation.

### newTransformerHandler

    public abstract TransformerHandler newTransformerHandler(Templates templates)
                                                      throws TransformerConfigurationException

  Returns a transformer handler that can be used to process SAX events, given a Templates object.
  Parameters:
    `templates` - compiled stylesheet

### newXMLFilter

    public abstract org.xml.sax.XMLFilter newXMLFilter(Source source)
                                                throws TransformerConfigurationException

  Returns an XML filter from the transformer.
  Parameters:
    `source` - the source file

### newXMLFilter

    public abstract org.xml.sax.XMLFilter newXMLFilter(Templates templates)
                                                throws TransformerConfigurationException

  Returns an XML filter from the transformer based on a compiled stylesheet.
  Parameters:
    `template` - the compiled stylesheet.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD